#
# spec file for package python-certbot-dns-ovh
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-certbot-dns-ovh
Version:        4.0.0
Release:        1.1
Summary:        OVH DNS Authenticator plugin for Certbot
License:        Apache-2.0
URL:            https://github.com/certbot/certbot
Source:         https://github.com/certbot/certbot/releases/download/v%{version}/certbot_dns_ovh-%{version}.tar.gz
BuildRequires:  %{python_module certbot >= %{version}}
BuildRequires:  %{python_module dns-lexicon >= 3.15.1}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-certbot >= %{version}
Requires:       python-dns-lexicon >= 3.15.1
BuildArch:      noarch
%python_subpackages

%description
OVH DNS Authenticator plugin for Certbot

%prep
%autosetup -p1 -n certbot_dns_ovh-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.rst
%license LICENSE.txt
%{python_sitelib}/certbot_dns_ovh
%{python_sitelib}/certbot_dns_ovh-%{version}.dist-info

%changelog
* Tue Apr 22 2025 Steve Kowalik <steven.kowalik@suse.com>
- Update to 4.0.0:
  * Added
    + The --preferred-profile and --required-profile flags allow requesting
    a profile.
  * Changed
    + Certificates now renew with 1/3rd of lifetime left (or 1/2 of lifetime
    left, if the lifetime is shorter than 10 days).
    + removed acme.crypto_util._pyopenssl_cert_or_req_all_names
    + removed acme.crypto_util._pyopenssl_cert_or_req_san
    + removed acme.crypto_util.dump_pyopenssl_chain
    + removed acme.crypto_util.gen_ss_cert
    + removed certbot.crypto_util.dump_pyopenssl_chain
    + removed certbot.crypto_util.pyopenssl_load_certificate
  * Fixed
    + Moved RewriteEngine on directive added during apache http01
    authentication to the end of the virtual host, so that it overwrites
    any RewriteEngine off directives that already exist and allows
    redirection to the challenge URL.
* Tue Mar 25 2025 Nicolas Morey <nicolas.morey@suse.com>
- Update to 3.3.0
- Remove unneeded dependencies
- Enable pytest
* Mon Mar  3 2025 Nicolas Morey <nicolas.morey@suse.com>
- Update to 3.1.0
* Sun Mar 10 2024 Javier S. Pedro <dev.rpm@javispedro.com> - 2.9.0
- bump to 2.9.0, regenerated spec file with py2pack 0.9.0
* Wed Nov  1 2023 Javier S. Pedro <dev.rpm@javispedro.com> - 2.6.0
- bump to 2.6.0, regenerate spec file with py2pack 0.9.0
* Sun Jan 15 2023 Javier S. Pedro <dev.rpm@javispedro.com> - 1.31.0
- bump to 1.31.0
- switch to _service for src
* Tue Aug  2 2022 Javier S. Pedro <dev.rpm@javispedro.com>
- update to 1.29.0
* Thu Apr 21 2022 Javier S. Pedro <dev.rpm@javispedro.com>
- update to 1.26.0
* Mon Jan 31 2022 Javier S. Pedro <dev.rpm@javispedro.com>
- switch to packaging created by py2pack
- remove -docs package
